﻿using UnityEngine;
using System.Collections;

public class MoveSinusY : MonoBehaviour
{
    public float Amplitude = 0.1f;
    public float CycleDuration = 1;
    public float CycleX = 4;
    public float CycleZ = 6;

    float _intialY;
    // Use this for initialization
    void Start ()
    {
        _intialY = transform.position.y;
    }
	
	// Update is called once per frame
	void Update ()
    {
        Vector3 position = transform.position;
        position.y = _intialY + 
            Amplitude * Mathf.Sin(2 * Mathf.PI * (
            Mathf.Repeat(Time.time, CycleDuration) / CycleDuration +
            Mathf.Repeat(position.x, CycleX) / CycleX +
            Mathf.Repeat(position.z, CycleZ) / CycleZ));
        transform.position = position;
    }
}
