﻿using UnityEngine;
using System.Collections;

public class ButtonLevel : MonoBehaviour {

	// Use this for initialization
	void Start ()
    {
        UnityEngine.UI.Text text = GetComponentInChildren<UnityEngine.UI.Text>();

        int level;
        if (int.TryParse(text.text, out level))
        {
            if (level <= GlobalData.MaxUnlockedLevel)
            {
                UnityEngine.UI.Button button = GetComponent<UnityEngine.UI.Button>();
                button.interactable = true;
            }
        }	
	}
	
	// Update is called once per frame
	void Update () {
	
	}
}
