﻿using UnityEngine;
using System.Collections;
using System;

public class CameraFollow : MonoBehaviour
{
    public Transform Target;
    public float Speed = 1;

    Vector3 _delta = Vector3.zero;

    void Start()
    {
        Speed = GlobalData.PlayerSpeed();
    }

    // Update is called once per frame
    void Update()
    {
        if (_delta == Vector3.zero)
        {
            _delta = transform.position - Target.position;
        }

        if (_isStopped == false)
        {
            transform.position = Vector3.MoveTowards(transform.position, Target.position + _delta, Time.unscaledDeltaTime * Speed);
        }
    }

    bool _isStopped = false;
    public void Stop()
    {
        _isStopped = true;
    }
}
