﻿using UnityEngine;
using System.Collections;
using UnityEngine.SceneManagement;
using System.Collections.Generic;
using UnityEngine.UI;

public class Menu : MonoBehaviour
{
    public UnityEngine.UI.Image ImageHelp;
    public List<Sprite> SpritesImageHelp;
    public List<Button> ButtonsLevel;
    public Sprite SpriteLock;

    int _indexImageHelp = 0;

    public void Awake()
    {
    }

    // Use this for initialization
    void Start()
    {
        StartCoroutine(ShowImageHelp());
    }

    // Update is called once per frame
    void Update()
    {
        //ImageHelp.sprite = SpritesImageHelp[0];
    }

    public void StartLevel(int level)
    {
        Debug.LogFormat("StartLevel({0})\n", level);

        GlobalData.CurrentLevel = level;
        SceneManager.LoadScene("SceneLevel");
    }

    IEnumerator ShowImageHelp()
    {
        while (true)
        {
            yield return new WaitForSeconds(4);
            _indexImageHelp = (_indexImageHelp + 1) % SpritesImageHelp.Count;
            ImageHelp.sprite = SpritesImageHelp[_indexImageHelp];
        }
    }
}
